PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Attributes | List of all members
DnsRecord Class Reference

`#include <pdns.h>`

Collaboration diagram for DnsRecord:
[legend]

## Public Attributes
DnsRecord * | pNext
char | pName [MAXDNAME]
WORD | wType
WORD | wDataLength
union {
DWORD DW
| flags as DWORD More...
DNS_RECORD_FLAGS S
| flags as structure More...
} | Flags
union {
DNS_A_DATA A
DNS_AAAA_DATA AAAA
DNS_MX_DATA MX
DNS_PTR_DATA NS
DNS_SRV_DATA SRV
DNS_NULL_DATA Null
} | Data

## Member Data Documentation

DNS_A_DATA DnsRecord::A

DNS_AAAA_DATA DnsRecord::AAAA

union { ... } DnsRecord::Data

DWORD DnsRecord::DW

flags as DWORD

union { ... } DnsRecord::Flags

DNS_MX_DATA DnsRecord::MX

DNS_PTR_DATA DnsRecord::NS

DNS_NULL_DATA DnsRecord::Null

char DnsRecord::pName[MAXDNAME]

DnsRecord* DnsRecord::pNext

Referenced by PDNS::Lookup().

DNS_RECORD_FLAGS DnsRecord::S

flags as structure

DNS_SRV_DATA DnsRecord::SRV

WORD DnsRecord::wDataLength

WORD DnsRecord::wType

The documentation for this class was generated from the following file:

- pdns.h